from os import path
from uuid import uuid1


class Job:
    def __init__(self, project, data: dict):
        self.id = uuid1()
        self.type = data['type']

        if project['unmanaged'] is None:
            self.path = path.join('projects', project['id'], 'data', data['id'] + data['extension'])
        else:
            self.path = path.join(project['unmanaged'], data['id'] + data['extension'])
